<?php
    if( TT::get_mod('footer')=='1'):
    
    switch (TT::get_mod('footer_widget_num')) {
        case 1:
            $col = 1;
            $percent = array('col-xs-12 col-sm-12 col-md-12 col-lg-12');
            break;
        case 2:
            $col = 2;
            $percent = array(
                'col-xs-12 col-sm-6 col-md-6 col-lg-6',
                'col-xs-12 col-sm-6 col-md-6 col-lg-6');
            break;
        case 3:
            $col = 3;
            $percent = array(
                'col-md-4 col-sm-4',
                'col-md-4 col-sm-4',
                'col-md-4 col-sm-4');
            break;
        case 4:
            $col = 4;
            $percent = array(
                'col-md-3 col-sm-6',
                'col-md-3 col-sm-6',
                'col-md-3 col-sm-6',
                'col-md-3 col-sm-6');
            break;
        case 5:
            $col = 3;
            $percent = array(
                'col-xs-12 col-sm-12 col-md-6 col-lg-6',
                'col-xs-12 col-sm-6 col-md-3 col-lg-3',
                'col-xs-12 col-sm-6 col-md-3 col-lg-3');
            break;
        case 6:
            $col = 3;
            $percent = array(
                'col-xs-12 col-sm-6 col-md-3 col-lg-3',
                'col-xs-12 col-sm-6 col-md-3 col-lg-3',
                'col-xs-12 col-sm-12 col-md-6 col-lg-6 pull-right');
            break;
        default:
            $col = 4;
            $percent = array(
                'col-md-3 col-sm-6',
                'col-md-3 col-sm-6',
                'col-md-3 col-sm-6',
                'col-md-3 col-sm-6');
            break;
    }
?>
    <footer class="row">
        <div class="row m0 top_footer">
            <div class="container">
                <div class="row footer_widgets">
                    <?php 
                        for ($i = 1; $i <= $col; $i++) {                                
                            echo "<div class='".$percent[$i - 1]." footer-column-$i'>";
                            dynamic_sidebar('footer' . $i);
                            echo '</div>';
                        }
                    ?>
                </div>
                <?php if(TT::get_mod('footer_contact') == 1): ?>
                    <div class="row footer_widgets2 m0">
                        <ul class="nav nav-justified">
                            <?php if(TT::get_mod('footer_contact_phone') != null): ?>
                                <li>
                                    <a href="<?php echo 'tel:'.TT::get_mod('footer_contact_phone'); ?>">
                                        <img src="<?php echo get_template_directory_uri(); ?>/images/icons/footer/call.png" alt=""><strong><?php _e('Call','themeton') ?></strong>: <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('footer_contact_phone')); ?>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(TT::get_mod('footer_contact_email') != null): ?>
                                <li>
                                    <a href="<?php echo 'mailto:'.TT::get_mod('footer_contact_email'); ?>">                                
                                        <img src="<?php echo get_template_directory_uri(); ?>/images/icons/footer/mail.png" alt=""><strong><?php _e('Email','themeton') ?></strong>: <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('footer_contact_email')); ?>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(TT::get_mod('footer_contact_fax') != null): ?>
                                <li>
                                    <a href="<?php echo 'fax:'.TT::get_mod('footer_contact_fax'); ?>">
                                        <img src="<?php echo get_template_directory_uri(); ?>/images/icons/footer/fax.png" alt=""><strong><?php _e('Fax','themeton') ?></strong>: <?php echo preg_replace('/<script\b[^>]*>(.*?)<\/script>/is', "", TT::get_mod('footer_contact_fax')); ?>
                                    </a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <?php if(TT::get_mod('copyright_content') != null): ?>
            <div class="row copyright m0"><?php echo TT::get_mod('copyright_content'); ?></div>
        <?php endif; ?>
    </footer>
<?php endif; ?>
<?php wp_footer(); ?>

</body>
</html>