<?php

class CurrentThemeMetas extends TTRenderMeta{

    function __construct(){
        $this->items = $this->items();
        add_action('admin_enqueue_scripts', array($this, 'print_admin_scripts'));
        add_action('add_meta_boxes', array($this, 'add_custom_meta'), 1);
        add_action('edit_post', array($this, 'save_post'), 99);
    }

    public function items(){

        return array(
            'post_grid_options' => array(
                'label' => 'Additional info',
                'post_type' => 'product',
                'items' => array(
                    array(
                        'name' => 'price_desc',
                        'type' => 'text',
                        'label' => 'Price Info',
                        'default' => 'per month',
                        'desc' => ''
                    )
                )
            )
        );
    }
    
}

new CurrentThemeMetas();

?>