<?php

class WPBakeryShortCode_Button extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "button_link" => '#!',
            "button_text"     => "Get Started Now!",
            "extra_class" => ""
        ), $atts ) );

        $result = "<a href='$button_link' class='borderred_link quote_btn $extra_class'><span class='lh45'>$button_text</span></a>";

        return $result;
    }
}

vc_map( array(
            "name" => __("Button", 'themeton'),
            "description" => __("Seo-Wave Button", 'themeton'),
            "base" => "button",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "button_text",
                    "heading" => __("Button text", 'themeton'),
                    "value" => 'Get Started Now!',
                    "holder" => "div"
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_link",
                    "heading" => __("Button link", 'themeton'),
                    "value" => '#!'
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );