<?php

class WPBakeryShortCode_Image_Slider extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "images" => "",
            "extra_class" => ""
        ), $atts ) );

        $gallery = '';
        $imgs = explode(',', $images);
        foreach($imgs as $img) {
            $image = wp_get_attachment_image($img,'large');
            $gallery .= "<div class='item'>$image</div>";
        }
         
        $result ="<div class='offer_service'><div class='owl-carousel offer_service_carousel $extra_class'>
                    $gallery
                </div>
                </div>";
        return $result;
    }
}

vc_map( array(
    "name" => __("Image Slider", 'themeton'),
    "description" => __("With horizintal bullet", 'themeton'),
    "base" => 'image_slider',
    "class" => "",
    "icon" => "icon-wpb-quickload",
    "category" => __('Themeton', 'themeton'),
    "show_settings_on_create" => true,
    "params" => array(
         array(
            'type' => 'attach_images',
            "param_name" => "images",
            "heading" => __("Images", 'themeton'),
            "value" => '',
            "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
        ),
         array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    )
) );