<?php

class WPBakeryShortCode_Tt_Quote_Item extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'title' => 'Author or Date ...'
        ), $atts));

        $content = wpb_js_remove_wpautop( $content, true );
            
        $result = '<li>
                        <div class="tweet">'. $content .'</div>
                        <p class="date">'. $title .'</p>
                    </li>';
        
        return $result;
    }
}



vc_map( array(
    "name" => __( 'Quote Item', 'themeton' ),
    "description" => __("Quote Item", 'themeton'),
    "icon" => "icon-wpb-themeton",
    "content_element" => true,
    "base" => 'tt_quote_item',
    "as_child" => array("only" => "tt_quote"),
    "category" => __('Themeton', 'themeton'),
    'params' => array(
        array(
            "type" => 'textfield',
            "param_name" => "title",
            "heading" => __("Title", 'themeton'),
            "value" => 'Author or Date ...',
            "holder" => 'div'
        ),
        array(
            'type' => 'textarea_html',
            "param_name" => "content",
            "heading" => __("Content", 'themeton'),
            "value" => ''
        )
    )
));