<?php

class WPBakeryShortCode_Team extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "name" => 'San Michle',
            "position" => 'Cheif Technology officer',
            "image" => '',
            "social_facebook" => "",
            "social_twitter" => "",
            "social_linkedin" => "",
            "social_instagram" => "",
            "extra_class" => ""
        ), $atts ) );

        $image = wp_get_attachment_image($image, 'team-member');

        $socials = '';
        $socials .= $social_facebook == '' ? '' : '<li><a href="'.$social_facebook.'"><i class="fa fa-facebook"></i></a></li>';
        $socials .= $social_twitter == '' ? '' : '<li><a href="'.$social_twitter.'"><i class="fa fa-twitter"></i></a></li>';
        $socials .= $social_linkedin == '' ? '' : '<li><a href="'.$social_linkedin.'"><i class="fa fa-linkedin"></i></a></li>';
        $socials .= $social_instagram == '' ? '' : '<li><a href="'.$social_instagram.'"><i class="fa fa-instagram"></i></a></li>';

        $result = '<div class="team_members"><div class="team">
                        <div class="inner row">
                            <div class="row m0 img">'.$image.'</div>
                            <ul class="nav social_lis">
                                '.$socials.'
                            </ul>
                            <div class="row identity m0">
                                <h5 class="name">'.$name.'</h5>
                                <h5 class="pos">'.$position.'</h5>
                            </div>
                        </div>
                    </div>
                </div>';

        return $result;
    }
}

vc_map( array(
            "name" => __("Team member", 'themeton'),
            "description" => __("", 'themeton'),
            "base" => "team",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "name",
                    "heading" => __("Name", 'themeton'),
                    "value" => 'San Michle',
                    "holder" => 'div'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "position",
                    "heading" => __("Position", 'themeton'),
                    "value" => 'Cheif Technology officer'
                ),
                array(
                    'type' => 'attach_image',
                    "param_name" => "image",
                    "heading" => __("Image Image", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "social_facebook",
                    "heading" => __("Facebook", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "social_twitter",
                    "heading" => __("Twitter", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "social_linkedin",
                    "heading" => __("Linkedin", 'themeton'),
                    "value" => ''
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "social_instagram",
                    "heading" => __("Instagram", 'themeton'),
                    "value" => ''
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );
