<?php

class WPBakeryShortCode_Title extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "title" => 'Clever Team Members',
            "description"     => "voluptatem accusantium doloremque laudantium totam aperiam",
            "extra_class" => ""
        ), $atts ) );

        $result = "<div class='title_row $extra_class'>
                        <h2>$title</h2>
                        <h5>$description</h5>
                    </div>";

        return $result;
    }
}

vc_map( array(
            "name" => __("Title", 'themeton'),
            "description" => __("Seo-Wave Title", 'themeton'),
            "base" => "title",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "title",
                    "heading" => __("Title", 'themeton'),
                    "value" => 'Clever Team Members',
                    "holder" => "div"
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "description",
                    "heading" => __("Description", 'themeton'),
                    "value" => 'voluptatem accusantium doloremque laudantium totam aperiam'
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );